package com.pj.project.tb_disinfect;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.tb_business.TbBusiness;
import com.pj.project.tb_business.TbBusinessMapper;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;
import org.springframework.transaction.annotation.Transactional;

/**
 * Service: tb_disinfect -- 消毒申请单
 * @author qzy 
 */
@Service
@Transactional
public class TbDisinfectService extends ServiceImpl<TbDisinfectMapper, TbDisinfect> implements IService<TbDisinfect>  {

	/** 底层 Mapper 对象 */
	@Autowired
	TbDisinfectMapper tbDisinfectMapper;

	/** 增 */
	void add(TbDisinfect t){
		this.save(t);
	}

	/** 删 */
	void delete(Long id){
		this.removeById(id);
	}

	/** 改 */
	void update(TbDisinfect t){
		this.updateById(t);
	}

	/** 查 */
	TbDisinfect getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbDisinfect> getList(SoMap so) {
		return tbDisinfectMapper.getList(so);	
	}
	

}
